using PARR.DAL.DomainModels;
using PARR.DAL.Models;
using System.Runtime.CompilerServices;

namespace PARR.DAL.DomainServices.Shortcodes
{
    public interface IShortcodesService
    {
        Task<string> ApplyShortcodesAsync(string str, Template template, [CallerMemberName] string? caller = null);

        Task<List<ShortcodeInfoDto>> GetAvailableShortcodesAsync();
    }
}
